EDIT - task #7404

Add linux and mac to editor installation documentation
05/07/2018 03:34 PM - Andreas Miiller

Status: Closed Start date: 05/02/2022
Priority: Priority13 Due date: 05/06/2022
Assignee: Katja Luther % Done: 80%
Category: documentation Estimated time: 2:00 hours
Target version: Release 5.33

Severity: normal

Description

... on https://cybertaxonomy.org/tax_editor/installation

Also update system requirements and further issues.

Related issues:
Related to EDIT - task #9991: Move content for users and admins from site.xml... New 05/12/2022 05/29/2022

History

#1 - 03/20/2020 09:44 AM - Andreas Kohlbecker

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Hi Andreas, | take this ticket - OK?

#2 - 03/20/2020 10:15 AM - Andreas Miiller

Andreas Kohlbecker wrote:

Hi Andreas, | take this ticket - OK?

sure

#3 - 03/11/2022 04:38 PM - Andreas Miiller

- Due date set to 04/22/2022

- Category changed from taxeditor to documentation

- Assignee changed from Andreas Kohlbecker to Katja Luther

- Target version changed from Update Documentation to Release 5.45
- Start date set to 04/01/2022

- Estimated time set to 2:00 h

Before updating we need to decide if we do/want to have this documentation at https://cybertaxonomy.org at all. Isn't it better to link to the installation
manuals?

Or is the idea that the text is created from the same original source by the manual make jenkins job (
https://int.e-taxonomy.eu/jenkins/job/EDIT-Platform-Manual-MAKE/).

#4 - 03/11/2022 04:38 PM - Andreas Miiller
- Priority changed from New to Priority14

#5 - 03/11/2022 06:28 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.32

#6 - 03/18/2022 02:27 PM - Andreas Miiller

- Related to task #9991: Move content for users and admins from site.xml's to cybertaxonomy.org/drupal added

#7 - 04/27/2022 11:39 AM - Andreas Miiller
- Due date changed from 04/22/2022 to 05/06/2022
https://cybertaxonomy.org/tax_editor/installation
https://cybertaxonomy.org
https://int.e-taxonomy.eu/jenkins/job/EDIT-Platform-Manual-MAKE/

- Start date changed from 04/01/2022 to 05/02/2022

#8 - 04/28/2022 11:39 AM - Andreas Miiller
MAC version will be written by NaK

#9 - 07/29/2022 02:59 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#10 - 09/15/2022 12:20 PM - Katja Luther

- Status changed from New to In Progress

the mac and linux installation descriptions are added to the installation document. On cybertaxonomy.org | changed the menu entry and the
description to "Installation" without "for Windows", so we can close this ticket.

#11 - 09/15/2022 12:30 PM - Katja Luther

- Description updated

#12 - 09/15/2022 12:32 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

Are you aggree with closing the ticket?

#13 - 09/30/2022 01:54 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 80

In chapter 1 there is still missing information which version is the recommended version for linux. Do we have any recommendations?

In linux instructions it says "Run the executable file TaxonomicEditor.exe within that folder to start the editor." Do we really have an .exe file in linux? |
would expect an .sh file or something similar.

In the mac version there is a typo "... Applications folde and double-click ...". Folder misses an "r".

#14 - 10/04/2022 04:37 PM - Andreas Miiller
- Priority changed from Priority14 to Priority13

#15 - 10/07/2022 03:31 PM - Katja Luther
Andreas Mller wrote in #note-13:
In chapter 1 there is still missing information which version is the recommended version for linux. Do we have any recommendations?

In linux instructions it says "Run the executable file TaxonomicEditor.exe within that folder to start the editor." Do we really have an .exe file in
linux? | would expect an .sh file or something similar.

In the mac version there is a typo "... Applications folde and double-click ...". Folder misses an "r".

Under linux the version without jre works, so | would recommend to use this version.
The file is only TaxonomicEditor without any file endings.
#16 - 10/10/2022 10:58 AM - Andreas Miiller
Katja Luther wrote in #note-15:
Andreas Muller wrote in #note-13:
In chapter 1 there is still missing information which version is the recommended version for linux. Do we have any recommendations?

In linux instructions it says "Run the executable file TaxonomicEditor.exe within that folder to start the editor." Do we really have an .exe file
in linux? | would expect an .sh file or something similar.
In the mac version there is a typo "... Applications folde and double-click ...". Folder misses an "r".

Under linux the version without jre works, so | would recommend to use this version.
The file is only TaxonomicEditor without any file endings.
Has this been updated in the doc files?

#17 - 10/27/2022 11:27 AM - Katja Luther
- Status changed from Feedback to Closed

The mentioned issues added to the doc files, so we can close this ticket.
